<?php

namespace App\Modules\Template\TourTemplate\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateTourTemplateQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $tourTitle,
        private string $orientation,
        private string $format,
        private string $pdf,
        private string $pdfThumb,
        private int $dateToPrint,
        private string $textName,
        private string $textDays,
        private string $textTour,
        private string $textDate,
        private int $version,
        private int $status,
        private int $idAdmin
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }

    public function tourTitle(): string
    {
        return $this->tourTitle;
    }

    public function orientation(): string
    {
        return $this->orientation;
    }

    public function format(): string
    {
        return $this->format;
    }

    public function pdf(): string
    {
        return $this->pdf;
    }

    public function pdfThumb(): string
    {
        return $this->pdfThumb;
    }

    public function dateToPrint(): int
    {
        return $this->dateToPrint;
    }

    public function textName(): string
    {
        return $this->textName;
    }

    public function textDays(): string
    {
        return $this->textDays;
    }

    public function textTour(): string
    {
        return $this->textTour;
    }

    public function textDate(): string
    {
        return $this->textDate;
    }

    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
}
